Luxor PlatformAPI DocumentationMining PoolPayments
Get transactions
Returns a list of transactions for a specified list of subaccounts or for a site. The latest available data is appended daily at 05:00 AM UTC.
Authorization
LuxorAPIKey authorization<token>
Use your API key here.
In: header
Path Parameters
currency_type*string
Which currency to query, e.g. BTC or DOGE.
Value in
- "BTC"
- "LTC_DOGE"
- "SC"
- "ZEC"
Query Parameters
subaccount_names?|array<>|array<>
site_id?|
start_date*string
Format
dateend_date*string
Format
datetransaction_type?string
The transaction concept to filter by.
Value in
- "debit"
- "credit"
page_number?integer
Range
1 <= valueDefault
1page_size?integer
Range
1 <= valueDefault
10Response Body
application/json
application/json
curl -X GET "https://example.com/v2/pool/transactions/BTC?start_date=2025-01-01&end_date=2025-01-31"{ "transactions": [ { "currency_type": "BTC", "date_time": "2019-08-24T14:15:22Z", "address_name": "wallet-1", "subaccount_name": "my_subaccount", "transaction_category": "Miner Revenue", "currency_amount": 0.00066154, "usd_equivalent": 661.54, "transaction_id": "001asdfasdf", "transaction_type": "debit" } ], "pagination": { "page_number": 1, "page_size": 1, "item_count": 0, "previous_page_url": null, "next_page_url": null }}{ "statusCode": 400, "code": "FST_ERR_VALIDATION", "error": "Bad Request", "message": "body/end_date Required"}API Introduction
Authentication, rate limits, and shared conventions for Luxor Platform REST APIs (Mining Pool, Commander, Energy, and Derivatives).
Get payment settings
Retrieves a subaccount in a subaccounts group, together with the Mining Pool discount rates associated for each of the currencies mined using that subaccount.